Skip to content

Email + Email Verification Code Registration API

API Description

Call this API when using form registration with email verification.

Request Description

Request Headers

Parameter NameNameRequiredTypeDescription
X-operating-sys-versionCaller operating system versionYesStringwindows10.1.1
X-device-fingerprintCaller device fingerprintYesString156aysdna213sc50
X-device-ipCaller IPNoString192.168.1.2
X-agentUser-Agent informationYesStringMozilla/5.0 (iPhone; CPU iPhone OS 13_3 like Mac OS X) AppleWebKit/605.1.15(KHTML, like Gecko) Mobile/15E148/HuaWei-AnyOffice/2.6.1802.0010/com.huawei.cloudlink.workplace
X-LUsed for internationalization language settingNoStringzh
X-client-idApplication authorization IDYesStringnTo1eRIub60vPb54WeE6aojPwYwImtl4

Request Example

json
{
  "user_name": "zhangsan",
  "name": "Zhang San",
  "mobile": "15201657315",
  "email": "15201657315@qq.com",
  "verify_code": "1234",
  "pwd": "QWE@qwe123",
  "head_img": "https://thirdwx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTIQ8QOTSn3y4cYHLlMC3sv6RCBmeMkxtOog47Zr3v2Afbqc2bmP0WibUIUskX39",
  "attr_gender":"male",
  "attr_birthday": "2022-02-17",
  "attr_nick_name": "Zhang San",
  "mailing_address": "Wuhan, Hubei",
  "zip_code": "430000",
  "first_name": "zhangsan",
  "middle_name": "zhangsan",
  "last_name": "zhangsan",
  "industry": "Public institution",
  "extension": {
    "age":"18"
  }
}

Request Parameters

Parameter NameNameRequiredTypeDescription
user_nameUsernameNoString
nameNameNoString
mobileMobile numberYesString
emailEmailNoString
verify_codeEmail verification codeYesStringReceived verification code.
To obtain the verification code, see Send Email Verification Code API.
type = REGISTER_EMS
pwdPasswordNoString
head_imgAvatar (URL)NoString
attr_genderGenderNoStringOptional values: female: female; male: male; unknow: confidential
attr_birthdayBirthdayNoStringFormat: yyyy-MM-dd
attr_nick_nameNicknameNoString
mailing_addressMailing addressNoString
zip_codeZIP codeNoString
first_nameFirst nameNoString
middle_nameMiddle nameNoString
last_nameLast nameNoString
industryIndustryNoString
extensionExtension attributeNoJSONObjectExtended attributes need to be defined in the admin center

Response Example

Success Example

HTTP/1.1 200 OK

json
{
    "status": "SUCCESS",
    "expire": 43200,
    "session_token": "LGTiTNVDFPlpefV3F3Hla7RUFTqInsqa"
}

Error Example

HTTP/1.1 400 Bad Request

json
{
    "error_code": "SDK.COMMON.1001",
    "error_msg": "Parameter X-client-id cannot be left blank."
}

Response Parameters

Parameter NameNameTypeDescription
statusReturned resultStringPossible values for this field are as follows: SUCCESS Login successful ACCESS_DENIED Access denied
expiresession_token validity periodNumbersession_token validity period; within the validity period, session_token can be used to obtain a ticket
session_tokenUser session_tokenStringUser session_token; this token can be used to call IDaaS APIs to obtain sso_ticket, which can be exchanged for user information

BambooCloud IDaaS Open Platform